Subject: bug#75497: [PATCH] ibuffer: Display column titles in header line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jan 2025 12:16:40 +0200

> Date: Sun, 12 Jan 2025 13:36:19 +0100
> From:  Daniel Mendler via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Daniel Mendler <[email-masked]> writes:
> 
> > Add new option value `title' to the customization option
> > `ibuffer-use-header-line'.  For this value show the column titles in the
> > Ibuffer header line.
> 
> I have attached an improved version of the patch to this mail. I have
> added an "@" interactive spec to the sort commands, such that clicking
> on the header line works when the Ibuffer window is not selected.

Thanks.

>  (defcustom ibuffer-use-header-line t
> -  "If non-nil, display a header line containing current filters."
> -  :type 'boolean)
> +  "If non-nil, display a header line.
> +If the variable has the value t, the header line displays the current

"Variable has value" sounds weird.  I suggest "If the variable's value
is t, ..." instead.

> +filters.  For the value `title', the column titles are displayed."
                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Passive tense alert!
> +    (pcase-let ((`(,sym ,min ,_max ,align) element))
> +      ;; Ignore a negative min when we're inserting the title

Please end this comment with a period, to make it a complete sentence.

Also, this comment explains what the code does, but not why (yes, I
know the original code did that as well).  If you know the reason,
please add that to the comment.